import React from 'react';
import { register } from '@/assets/images';
import * as $$ from '@/utils/utility';

export default function ReviewProgress(props) {
  return (
    <div className='reviewProgress'>
      {props.progressData['handleCaseFlowList']?.map((item, index) => {
        const flag = index + 1 === props.progressData['handleCaseFlowList'].length
        return <div style={{ display: 'flex' }}>

          <div style={{ marginRight: '10px' }}>
            <div className='reviewCircle' style={flag ? { borderColor: '#EF6C24' } : {}}></div>
            {!flag && <div className='reviewLine'></div>}
          </div>

          <div>
            <div className='deepTitle'>{item.handleUnitName}（{item.nodeShowName}）</div>
            {!flag &&
              <>
                {
                  item.handleUserName && <div className='shallowTitle'>
                    操作人：<span>{item.handleUserName}<img src={register} alt="" className="title-register" /></span>
                  </div>
                }
                <div className='shallowTitle'>
                  操作时间：<span>{$$.timeFormat(item.handleTime)}</span>
                </div>
                <div style={{ height: '34px' }}></div>
              </>
            }
          </div>
        </div>

      })}
    </div>
  )
}
